# pdfunlock #

**pdfunlock** removes security features from pdfs, to allow unrestricted printing and copying of context.

## Installation ##

[Ghostscript](https://ghostscript.com) and [Poppler](https://poppler.freedesktop.org/) must be in your `PATH` environment variable.

**Windows**:  
https://www.ghostscript.com/download  
http://blog.alivate.com.au/poppler-windows

**Linux**:  
```
sudo apt install ghostscript
sudo apt install poppler-utils
```

**Mac**:  
```
brew install ghostscript
brew install poppler
```

Then

```
git clone http://git.wrl.unsw.edu.au:3000/danh/pdfunlock.git
pip install -e pdfunlock
```


## Usage ##


Search for pdfs inside 'pdf_folder', then create new unlocked versions
of the pdfs with the the suffix '-unlocked.pdf':

```
pdfunlock pdf_folder
```

Search for pdfs inside 'pdf_folder', then unlock the pdfs and overwrite
the original versions.

```
pdfunlock pdf_folder -o
```

Search recursively for pdfs inside 'pdf_folder' and all subfolders,
then unlock the pdfs and overwrite the original versions.

```
pdfunlock pdf_folder -o -r
```
